﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="jadwal_mobile.Views.HariIniView">
    <ContentPage.Content>
        <ScrollView>
            <Grid Margin="30,20,0,0">
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                </Grid.RowDefinitions>
                <StackLayout Orientation="Vertical">
                    <!--binding hari ini-->
                    <Label Text="{Binding TodayText}" TextColor="White" Margin="0,0,0,20" FontSize="18"/>
                    <Label Text="Hi! User" TextColor="White" FontSize="21"/>
                    <Label Text="Semoga harimu menyenangkan" FontSize="21" FontAttributes="Bold"/>
                </StackLayout>
                <Frame BackgroundColor="White" CornerRadius="30" Margin="0,20,30,-20" Grid.Row="1" >
                    <StackLayout Spacing="10">
                        <Label Text="{Binding CountOfEvents, StringFormat='Ada {0:N0} jadwal hari ini'}" FontSize="20" TextColor="Black"/>
                        <StackLayout BindableLayout.ItemsSource="{Binding TodayEvents}" Spacing="20">
                            <BindableLayout.ItemTemplate>
                                <DataTemplate>
                                    <Grid>
                                        <Grid.ColumnDefinitions>
                                            <ColumnDefinition Width="35*"/>
                                            <ColumnDefinition Width="65*"/>
                                        </Grid.ColumnDefinitions>
                                        <Frame HorizontalOptions="Start" VerticalOptions="Start" BackgroundColor="#007FFF" CornerRadius="20" Padding="5">
                                            <Label Text="{Binding Duration}"/>
                                        </Frame>
                                        <Frame Grid.Column="1" BackgroundColor="#EAF4F5" CornerRadius="20" Padding="10">
                                            <Frame.GestureRecognizers>
                                                <TapGestureRecognizer Tapped="TapGestureRecognizer_Tapped" CommandParameter="{Binding Id}"/>
                                            </Frame.GestureRecognizers>
                                            <StackLayout Orientation="Vertical">
                                                <Label Text="{Binding Title}"/>
                                                <Label Text="{Binding Id}"/>
                                            </StackLayout>
                                        </Frame>
                                    </Grid>
                                </DataTemplate>
                            </BindableLayout.ItemTemplate>
                        </StackLayout>
                    </StackLayout>
                </Frame>
            </Grid>
        </ScrollView>
    </ContentPage.Content>
</ContentPage>